%define extension	jdbc-stdext
%define name		%{extension}-ext
%define version		2.0
%define release		12jpp
%define section		non-free

Summary:	Java DataBase Connectivity 2.0 optional package
Url:		http://java.sun.com/products/jdbc

# If you do not want -javadoc built, give rpmbuild option '--without javadoc'
%define with_javadoc %{!?_without_javadoc:1}%{?_without_javadoc:0}

%if %{with_javadoc}
Source0:	jdbc2_0_1-stdext-javadoc.zip
NoSource:	0
%endif

Source1:	jdbc2_0-stdext.jar
NoSource:	1

Source2:	%{extension}.license.bz2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Sun Binary Code License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils > 1.4
Provides:	%{extension} = %{version}
BuildRoot:	%{_tmppath}/%{extension}-%{version}-buildroot

%description
The javax.sql package is also called the JDBC 2.0 Optional Package API
(formerly known as the JDBC 2.0 Standard Extension API).

%package javadoc
Summary:	Javadoc for %{extension}
Group:		Development/Documentation

%description javadoc
Javadoc for %{extension}.

%prep
rm -rf $RPM_BUILD_ROOT

# Establish top-level source directory
%setup -c -T

%if %{with_javadoc}
%setup -q -D -T -a 0
%endif

cp %{SOURCE1} .

bzcat %{SOURCE2} > LICENSE

# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}-ext
install -p -m 0644 jdbc2_0-stdext.jar $RPM_BUILD_ROOT%{_javadir}-ext/%{extension}-%{version}.jar
# Extension was integrated in java 1.4.0
%add_jvm_extension %{extension}-%{version} %{extension} 1.3.0 1.3.1

# javadoc
%if %{with_javadoc}
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{extension}-%{version}
cp -pr html/*      $RPM_BUILD_ROOT%{_javadocdir}/%{extension}-%{version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_javadir}-*/%{extension}*.jar

%if %{with_javadoc}
%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{extension}-%{version}
%endif

%changelog
* Wed Oct 08 2003 Leonid Dubinsky <dub@podval.org> 2.0-12jpp
- conditionalize javadoc subpackage
- mark javadoc as %%doc
- rename spec file

* Thu Feb 13 2003 Nicolas Mailhot <Nicolas.Mailhot@laPoste.net> 2.0-9jpp
- Only install for Java 1.3.0 & 1.3.1

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-8jpp
- vendor, distribution, group tags

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-7jpp
- section macro
- nosrc package
- added Sun Binary Code License

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-6jpp
- javadoc in %{javadocdir} again

* Mon Jan 7 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-5jpp
- javadoc back to /usr/share/doc
- no dependencies for javadoc package
- standardised summary

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-4jpp
- javadoc into javadoc package

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-3jpp
- first unified release

* Tue Oct 09 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-2mdk
- s/jPackage/JPackage/
- spec cleanup

* Tue Sep 04 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-1mdk
- first Mandrake release
